.intro {
    color: $gray;
    height: 100%;
    display: block;
    font-size: rem(14);
    line-height: rem(20);
    overflow: hidden;
    text-decoration: none;
    background: rgba(0, 0, 0, 0.3);

    &__image {
        display: block;
        overflow: hidden;
        position: relative;
        height: rem(200);

        -webkit-filter: grayscale(100%);
        -moz-filter: grayscale(100%);
        -ms-filter: grayscale(100%);
        -o-filter: grayscale(100%);
        filter: grayscale(100%);
        transition: .3s;

        img {
            transform: scale(1);
            transition: .3s;
        }

        &:hover {
        }
    }

    &__content {
        padding: rem(16);
    }

    &__date {
        font-size: rem(12);
        line-height: rem(18);
        margin-bottom: rem(4);
    }

    &__title {
        color: $white;
        font-weight: 600;
        font-size: rem(18);
        line-height: rem(26);
        max-height: rem(52);
        margin-bottom: rem(8);
        overflow: hidden;
        text-overflow: ellipsis;

        a {
            color: $white;
            text-decoration: none;

            &:hover {
                color: $white;
                text-decoration: none;
            }
        }
    }

    &__buttons {
        margin: 0 rem(-4);
        display: flex;
        flex-wrap: wrap;
        align-items: center;
    }

    &__button {
        padding: 0 rem(4);
        margin-top: rem(8);
    }

    &--doc {

        .intro {

            &__image {
                display: none;
            }
        }
    }

    &--white {
        background: $white;
        border: 1px solid #969696;

        .intro {

            &__title {
                color: $black;

                a {
                    color: $black;

                    &:hover {
                        color: $yellow;
                    }
                }
            }
        }
    }

    &:hover {
        color: $gray;
        text-decoration: none;

        .intro {

            &__image {
                -webkit-filter: grayscale(0%);
                -moz-filter: grayscale(0%);
                -ms-filter: grayscale(0%);
                -o-filter: grayscale(0%);
                filter: grayscale(0%);
                transition: .3s;

                img {
                    transform: scale(1.15);
                    transition: .3s;
                }
            }
        }
    }

    @include media-breakpoint-up(md) {

        &--doc {

            .intro {

                &__image {
                    display: block;
                }
            }
        }

        &--md {
            display: flex;

            .intro {

                &__image {
                    width: rem(164);
                    height: auto;
                    min-height: rem(164);
                    flex-shrink: 0;
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {
        display: flex;

        &__image {
            width: rem(164);
            height: auto;
            min-height: rem(164);
            flex-shrink: 0;
        }
    }

    @include media-breakpoint-up(xxl) {
        font-size: rem(16);
        line-height: rem(24);

        &__title {
            font-size: rem(20);
            line-height: rem(30);
            max-height: rem(60);
        }

        &__buttons {
            margin: 0 rem(-12);
        }

        &__button {
            padding: 0 rem(12);
        }
    }
}

[data-intro] {
    overflow: visible;

    .swiper-slide {
        height: auto;
        width: rem(300);
    }

    @include media-breakpoint-up(xl) {

        .swiper-wrapper {
            display: grid;
            grid-row-gap: rem(48);
            grid-column-gap: rem(24);
            grid-template-columns: 1fr 1fr;
        }

        .swiper-slide {
            width: 100%;
        }
    }
}
